package com.njcn.prepare.enums;

import lombok.Getter;

@Getter
public enum ProgressEnum {

    START(0, "开始"),
    ALARM_TICKET_ISSUE(1, "预/告警单下发"),
    FEEDBACK_UPLOAD(2, "反馈单上传"),
    TEST_REPORT(3, "现场测试"),
    REVISE_NOTICE_ISSUE(4, "整改通知单下发"),
    REVISE_FEEDBACK(5, "整改通知单反馈"),
    END(6, "完结");

    private final Integer code;

    private final String message;

    ProgressEnum(Integer code, String message) {
        this.code = code;
        this.message = message;
    }
}
